cc.Class({
    extends: cc.Component,

    properties: {
        button: cc.Button,
    },
    // 存储数据:cc.sys.localStorage.setItem(“key”,”value”)

    // 获取数据:cc.sys.localStorage.getItem(“key”)
 
    // 移除数据:cc.sys.localStorage.removeItem(“key”)
 
    // 清除所有:cc.sys.localStorage.clear()
    // use this for initialization
    onLoad: function () {
        this.button.node.on('click', this.callback, this);
    },

    // called every frame
    update: function (dt) {

    },
    callback: function (event) {
        //console.log(this.button.node);
        Audio.playeffect('resources/audio/sound_select.mp3');
        if(Global.start == null){
            //this.node.color = new cc.Color(113, 233, 255);
            Global.start = this.node;
        }else if(Global.start != this.node){
            Global.end = this.node;
        }
     }

});
